<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
<!-- * * * * * * * * * * * The content below * * * * * * * * * * * -->
<!-- * * * * * * * * * * is only a placeholder * * * * * * * * * * -->
<!-- * * * * * * * * * * and can be replaced. * * * * * * * * * * * -->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
<!-- * * * * * * * * * Delete the template below * * * * * * * * * * -->
<!-- * * * * * * * to get started with your project! * * * * * * * * -->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->

<div >
  <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">Navbar</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarColor01">
        <ul class="navbar-nav me-auto">
          <li class="nav-item">
            <a class="nav-link active" href="#">
              Home
              <span class="visually-hidden">(current)</span>
            </a>
          </li>

        </ul>
      </div>
    </div>
  </nav>
</div>
<div class="card text-white border-primary mb-3 w-75 mx-auto">
  <div class="card-header"><h1>Welcome</h1></div>
  <div class="card-body">
    <h3 class="card-title">Angular & Bootstrap Exercise</h3>
    <p class="card-text">Please, refer to this bootstrap theme documentation by clicking<a href="https://bootswatch.com/vapor/" class="btn btn-link">here</a> </p>
  </div>
</div>
<div class="container">
  
  <div class="container">
    <div class="row">
      <div class="card border-secondary mb-3 mx-2 col">
        <div class="card-header">Task 1</div>
        <div class="card-body">
          <h4 class="card-title">Move this content to the correct place</h4>
          <p class="card-text">
            This app has been made quite hastly and need some fixing. I.E. moving all but the nav bar in a dedicated homepage component.
            By doing this, all your pages will have the nav bar but not the other irrelevant content here.
          </p>
        </div>
      </div>
      <div class="card border-secondary mb-3 mx-2 col">
        <div class="card-header">Task 2</div>
        <div class="card-body">
          <h4 class="card-title">Create a log-in page reacheable from homepage and nav-bar</h4>
          <p class="card-text">
            Add a big hearty button in homepage with SIGN IN in the center of it and a more subtle one on the nav bar. Both should lead to a new page.

          </p>
        </div>
      </div>
      <div class="card border-secondary mb-3 mx-2 col">
        <div class="card-header">Task 3</div>
        <div class="card-body">
          <h4 class="card-title">Create a sign-up page reacheable from homepage and nav-bar</h4>
          <p class="card-text">
            Add a big hearty button in homepage with SIGN UP in the center of it and a more subtle one on the nav bar. Both should lead to a new page.

          </p>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="card border-secondary mb-3 mx-2 col">
        <div class="card-header">Task 4</div>
        <div class="card-body">
          <h4 class="card-title">ADMIN PAGE NEEDED</h4>
          <p class="card-text">
            Add a RED button ADMIN in the nav bar. This should lead to an admin page. Create that as well. At this moment in time, the admin page should allow to see a list of all the users that are registered on this app.
            Expose a REST GET service on LEARNING CURVE BACK-END. The method will put in its response the result a find all users. Make sure to register a service capable of reaching LEARNINGCURVE BACK-END.

          </p>
        </div>
      </div>
      <div class="card border-secondary mb-3 mx-2 col">
        <div class="card-header">Task 5</div>
        <div class="card-body">
          <h4 class="card-title">Sign up users</h4>
          <p class="card-text">
            Inside the Sign up page there should be as many fields as there are inside the user class in LEARNING CURVE BACK-END. Registering twice the same username shouldn't be allowed.
            Via responsive checks and subtly error notes prompeted on page, the user should know before clicking on the sign up button, if the username has been already taken.

          </p>
        </div>
      </div>
      <div class="card border-secondary mb-3 mx-2 col">
        <div class="card-header">Task 6</div>
        <div class="card-body">
          <h4 class="card-title">Sign in and password recovery</h4>
          <p class="card-text">
            Inside the log in page there should be 2 input fields (one of them of type password) allowing the user to log-in. There should be also a "recovery password option", it should allow any user to recover a password by email message.
            LEARNING-CURVE BACK-END should handle the email creation given a username by recovering the address on Database.

          </p>
        </div>
      </div>
    </div>
  </div>
  </div>
<router-outlet></router-outlet>
